/**
 * 人员管理接口
 */
import request from '@/utils/request'
import qs from 'qs'

// 查询员工列表
export function getPersonListAll(params) {
  return request({
    url: '/person/list',
    method: 'get',
    params
  })
}

// 查询员工列表
export function getPersonList(params) {
  return request({
    url: '/person/irisListPage',
    method: 'get',
    params
  })
}
// 查询访客列表
export function getVisitorList(params) {
  return request({
    url: '/person/visitorListPage',
    method: 'get',
    params
  })
}

// 性别
export function getSexType(params) {
  return request({
    url: '/dict/code/sysSex',
    method: 'get',
    params
  })
}
// 业务类型
export function getDutyType(params) {
  return request({
    url: '/dict/code/dutyType',
    method: 'get',
    params
  })
}
// 民族
export function getNationType(params) {
  return request({
    url: '/dict/code/nationType',
    method: 'get',
    params
  })
}

// 添加人员
export function addPerson(data) {
  return request({
    url: 'person/irisAdd',
    method: 'post',
    data
  })
}
// 人员详情
export function personInfo(id) {
  return request({
    url: '/person/detail/' + id,
    method: 'get'
  })
}
// 修改人员
export function updatePerson(data) {
  return request({
    url: 'person/irisUpdate',
    method: 'post',
    data
  })
}
// 删除人员
export function delPerson(ids) {
  return request({
    url: 'person/batchIrisDelete',
    method: 'post',
    params: {
      ids: ids
    },
    paramsSerializer: params => {
      return qs.stringify(params, { indices: false })
    }
  })
}
// 批量导出
export function batchExportPerson(params) {
  return request({
    url: 'person/batchExport',
    method: 'get',
    timeout: 120000,
    params,
    responseType: 'blob' // 这一步也很关键，一定要加上 responseType 值为 blob
  })
}

export function saveIris(params) {
  const formData = new FormData()
  formData.append('image_zy0', params.image_zy0)
  formData.append('image_zy1', params.image_zy1)
  formData.append('image_yy0', params.image_yy0)
  formData.append('image_yy1', params.image_zy0)
  formData.append('personId', params.personId)
  formData.append('idCardNo', params.idCardNo)
  return request({
    url: 'irisData/add',
    method: 'post',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    data: formData
  })
}
